summaryrefslogtreecommitdiffstats
path: root/source.local/a/dbus
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
commit55bce4decbbdde684c63507f88f4f33694579f4f (patch)
tree409994b26efea8c2a9f65206de616bed4f931d25 /source.local/a/dbus
parentb100c7c57e8a1363adfffe22f68b6429b9576dd3 (diff)
downloadalienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.gz
alienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.xz
Update to Alien's ARM which allows XFCE to run on an ARM ChromeBook.
This large update brings Alien's ARM repository almost to the same level of package versions in slackware-current. THese updates were needed to make it possible to start a functional XFCE session on Samsung's ARM ChromeBook (XE303C12).
Diffstat (limited to 'source.local/a/dbus')
-rw-r--r--source.local/a/dbus/dbus-1.4.x-allow_root_globally.diff.gzbin486 -> 0 bytes
-rw-r--r--source.local/a/dbus/dbus-1.6.x-allow_root_globally.diff.gzbin0 -> 487 bytes
-rwxr-xr-xsource.local/a/dbus/dbus.SlackBuild86
-rw-r--r--source.local/a/dbus/dbus.set.home.diff.gzbin0 -> 374 bytes
-rw-r--r--source.local/a/dbus/rc.messagebus.gzbin773 -> 824 bytes
5 files changed, 55 insertions, 31 deletions
diff --git a/source.local/a/dbus/dbus-1.4.x-allow_root_globally.diff.gz b/source.local/a/dbus/dbus-1.4.x-allow_root_globally.diff.gz
deleted file mode 100644
index cfd08bb..0000000
--- a/source.local/a/dbus/dbus-1.4.x-allow_root_globally.diff.gz
+++ /dev/null
Binary files differ
diff --git a/source.local/a/dbus/dbus-1.6.x-allow_root_globally.diff.gz b/source.local/a/dbus/dbus-1.6.x-allow_root_globally.diff.gz
new file mode 100644
index 0000000..b4a3a1c
--- /dev/null
+++ b/source.local/a/dbus/dbus-1.6.x-allow_root_globally.diff.gz
Binary files differ
diff --git a/source.local/a/dbus/dbus.SlackBuild b/source.local/a/dbus/dbus.SlackBuild
index 3b65fab..e57a9a6 100755
--- a/source.local/a/dbus/dbus.SlackBuild
+++ b/source.local/a/dbus/dbus.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007-2010 Robby Workman, Northport, Alabama, USA
-# Copyright 2007-2010 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007-2012 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,38 +25,39 @@
PKGNAM=dbus
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.6.8}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
fi
case "$ARCH" in
@@ -82,6 +83,7 @@ find . \
-exec chmod 644 {} \;
zcat $CWD/dbus-1.4.x-allow_root_globally.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/dbus.set.home.diff.gz | patch -p1 --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -93,9 +95,11 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-doxygen-docs \
--enable-shared=yes \
--enable-static=no \
--enable-inotify \
+ --enable-x11-autolaunch \
--with-system-pid-file=/var/run/dbus/dbus.pid \
--with-system-socket=/var/run/dbus/system_bus_socket \
--with-init-scripts=slackware \
@@ -107,8 +111,20 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
# Install a custom init script for dbus - the included one is not good for us
rm $PKG/etc/rc.d/*
@@ -125,6 +141,14 @@ cp -a \
$PKG/usr/doc/$PKGNAM-$VERSION
find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \;
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
diff --git a/source.local/a/dbus/dbus.set.home.diff.gz b/source.local/a/dbus/dbus.set.home.diff.gz
new file mode 100644
index 0000000..930922b
--- /dev/null
+++ b/source.local/a/dbus/dbus.set.home.diff.gz
Binary files differ
diff --git a/source.local/a/dbus/rc.messagebus.gz b/source.local/a/dbus/rc.messagebus.gz
index 7f85135..4d61070 100644
--- a/source.local/a/dbus/rc.messagebus.gz
+++ b/source.local/a/dbus/rc.messagebus.gz
Binary files differ